complexType "ImplementationSpecification"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-msg-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | name?, version?, date?
</...>

Content Model Elements (3):

  date (in implementationSpecification), name (in implementationSpecification), | version (in implementationSpecification)

All Direct / Indirect Based Elements (1):

  implementationSpecification

Known Usage Locations

- As direct type of elements (1):
  implementationSpecification

Annotation
A version of a specification document used by the message generator to format the document.
XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="ImplementationSpecification"> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="version" type="ImplementationSpecificationVersion"/> <xsd:element minOccurs="0" name="date" type="xsd:date"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
date

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="date" type="xsd:date"/>

name

  Type: | xsd:normalizedString, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="name" type="xsd:normalizedString"/>

version

  Type: | ImplementationSpecificationVersion, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="version" type="ImplementationSpecificationVersion"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.